#ifndef VTABLE_H
#define VTABLE_H

#define VTABLE_STEADY	0
#define VTABLE_EARLY	1
#define VTABLE_LATE		2

class VTABLE
{
public:
	VTABLE ();
	VTABLE (int);					// Initialize with a preset type.
	VTABLE (float);					// Initialize with just the base value.
	VTABLE (int[], float[]);		// Initialize with just the increments.
	VTABLE (float, int[], float[]);	// Initialize with both.

	float			operator[]			(int);

protected:
	float			base_value;
	float			incr_sizes[10];
	int				incr_levels[10];
};

#endif // VTABLE_H
